> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezytail.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a shipping label

> Returns a label by id and carrier



## OpenAPI

````yaml post /shippings/labels/{context}/{carrier}
openapi: 3.0.4
info:
  title: EzyConnect API
  description: API to Ezytail Logistics Platform
  contact:
    name: Ezytail
    url: https://ezytail.com
    email: contact@ezytail.com
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /shippings/labels/{context}/{carrier}:
    post:
      tags:
        - Shipping
      summary: Create a shipping label
      description: Returns a label by id and carrier
      operationId: AddLabel
      parameters:
        - name: context
          in: path
          required: true
          schema:
            type: string
        - name: carrier
          in: path
          required: true
          schema:
            type: string
        - name: prod
          in: query
          schema:
            type: boolean
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LabelCarrier'
          text/json:
            schema:
              $ref: '#/components/schemas/LabelCarrier'
          application/*+json:
            schema:
              $ref: '#/components/schemas/LabelCarrier'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/LabelResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/LabelResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/LabelResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
        default:
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    LabelCarrier:
      type: object
      properties:
        modeCol:
          type: string
          nullable: true
        modeLiv:
          type: string
          nullable: true
        expLang:
          type: string
          nullable: true
        expAddr1:
          type: string
          nullable: true
        expAddr2:
          type: string
          nullable: true
        expCity:
          type: string
          nullable: true
        expZip:
          type: string
          nullable: true
        expCountry:
          type: string
          nullable: true
        expTel1:
          type: string
          nullable: true
        expMail:
          type: string
          nullable: true
        destLang:
          type: string
          nullable: true
        destAddr1:
          type: string
          nullable: true
        destAddr2:
          type: string
          nullable: true
        destCity:
          type: string
          nullable: true
        destZip:
          type: string
          nullable: true
        destCountry:
          type: string
          nullable: true
        destTel1:
          type: string
          nullable: true
        destMail:
          type: string
          nullable: true
        weight:
          type: string
          nullable: true
        nbPackage:
          type: string
          nullable: true
        crtValue:
          type: string
          nullable: true
        pickupPointCountry:
          type: string
          nullable: true
        pickupPoint:
          type: string
          nullable: true
        shippingPickupPointCountry:
          type: string
          nullable: true
        shippingPickupPoint:
          type: string
          nullable: true
        nClient:
          type: string
          nullable: true
        nDossier:
          type: string
          nullable: true
        apiVersion:
          type: string
          nullable: true
        outputType:
          type: string
          nullable: true
        outputFormat:
          type: string
          nullable: true
        instruction:
          type: string
          nullable: true
        content:
          type: string
          nullable: true
      additionalProperties: false
    LabelResponse:
      type: object
      properties:
        status:
          type: string
          nullable: true
        expeditionNumber:
          type: string
          nullable: true
        outputs:
          type: array
          items:
            $ref: '#/components/schemas/LabelFormat'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    LabelFormat:
      type: object
      properties:
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: oauth2
      description: |-
        JWT Authorization header using the Bearer scheme. \r\n\r\n 
                          Enter 'Bearer' [space] and then your token in the text input below.
                          \r\n\r\nExample: 'Bearer 12345abcdef'
      flows:
        authorizationCode:
          authorizationUrl: https://auth.ezytail.com/connect/authorize
          tokenUrl: https://auth.ezytail.com/connect/token
          scopes:
            ezy_connect: EzyConnect API Scope

````